/**********************************************************************
ID: filters.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

// Set these configuration options to set up which things to filter

// Check to see if there is a binary in a non-binary newsgroup.
#define BLOCK_BINARIES 1

// These two should contain the same value, top one a string, bottom an integer
#define MAX_ENCODED_LINES "15"
#define MAX_ENCODED_LINES_I 15

// Check to see if a bot posted the message
#define DO_BOT_CHECKS 1

// Add message patch checking and regular expression
#define PATH_MATCH 0
// Regular expression does not need leading or trailing ".*" 
#define PATH_REGEX ""

// Shouldn't need to mess with anything below this.

#include <regex.h>
#include <stdio.h>
#include "logging.h"
#define TESTOUTPUT 0

#ifndef MSGPARTS
#include "decompose.h"
#endif

int ismessagebinary(MSGPARTS *);
int groupsbinarymatch(char *);
int botsfilter(MSGPARTS *);
int pathmatch(char *);
