/**********************************************************************
ID: logging.c

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#include "logging.h"
static FILE *ofile;
static int cflog_file_open=0;

FILE *getloghandle() {

    return ofile;

}

int cflog(char *logstr) {

    if(!cflog_file_open) {
        ofile=fopen(OUTPUT_FILE, "w");
        if(!ofile) {
            puts("Could not open file... Continuing");
            cflog_file_open=-1;
        } else cflog_file_open=1;    
    }

    if(cflog_file_open!=-1) {
    	fputs(logstr, ofile);
    	fputs("\n", ofile);
    	fflush(ofile);
    }
    
    return 0;
    
}

int cflogreopen() {

    fclose(ofile);
    
    ofile=fopen(OUTPUT_FILE, "w");
    if(!ofile) {
        puts("Could not open file... Continuing");
        cflog_file_open=-1;
    } else cflog_file_open=1;
    
    return 0;
}

int logarticle(char *article, long int artlen) {

    FILE *artfile;
    
    artfile=fopen(ARTICLELOG, "w");
    if(!artfile) {
    	cflog("Could not store article");
    	return -1;
    } else {
    	fwrite(article, sizeof(char), artlen, artfile);
	fclose(artfile);
    }
    
    return 0;
}

int writepid() {
    int mypid=0;
    FILE *pidfile;
    
    mypid=getpid();
    
    pidfile=fopen(PID_FILE, "w");
    if(!pidfile) {
    	cflog("Could not write out pid file.");
    	return -1;
    } else {
    	fprintf(pidfile,"%d\n",mypid);
	fclose(pidfile);
    }

    return 0;
}
    